post

POST /v2/migration/jobs/{id}/actions/re-enqueue — Resubmit a stuck job

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Re-submits a job to the BullMQ worker queue. Use this when a job was created successfully but the initial enqueue failed because Redis was temporarily unavailable. The job remains in PENDING_VALIDATION or PENDING_IMPORT in that scenario.

Pre-conditions

Job status must be PENDING_VALIDATION or PENDING_IMPORT.

Required role

affiliate_super_admin

Response 200

{
  "success": true,
  "result": {
    "reQueued": true,
    "jobId": "mjob::abc123",
    "status": "PENDING_VALIDATION"
  }
}

Errors

StatusDescription
400Job is not in a re-enqueuable status
404Job not found
503Redis is still unavailable — try again later
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!